attribute vec4 vertex_position;
attribute vec2 texture_position;
varying vec2 v_texture_position;
varying vec2 v_noise_position;

uniform float background_cache_size;
uniform vec2 scroll;

void main() {
  gl_Position = vertex_position;
  v_texture_position = texture_position;
  v_noise_position = (-vertex_position.xy + scroll)*background_cache_size/256.0;
}
